clang 10.0.0git

Public Types | Public Member Functions | List of all members
clang::tooling::RequiredRefactoringOption< T, typename > Class Template Reference

A required refactoring option that stores a value of type `T`. More...

`#include "clang/Tooling/Refactoring/RefactoringOptions.h"`

Inheritance diagram for clang::tooling::RequiredRefactoringOption< T, typename >:
[legend]
Collaboration diagram for clang::tooling::RequiredRefactoringOption< T, typename >:
[legend]

## Public Types
using | ValueType = T
Public Types inherited from clang::tooling::OptionalRefactoringOption< T >
using | ValueType = Optional< T >

## Public Member Functions
const ValueType & | getValue () const
bool | isRequired () const final override
| True when this option must be specified before invoking the refactoring action. More...
Public Member Functions inherited from clang::tooling::OptionalRefactoringOption< T >
void | passToVisitor (RefactoringOptionVisitor &Visitor) final override
| Invokes the `visit` method in the option consumer that's appropriate for the option's value type. More...
bool | isRequired () const override
| True when this option must be specified before invoking the refactoring action. More...
const ValueType & | getValue () const
Public Member Functions inherited from clang::tooling::RefactoringOption
virtual | ~RefactoringOption ()
virtual StringRef | getName () const =0
| Returns the name of the refactoring option. More...
virtual StringRef | getDescription () const =0

## Additional Inherited Members
Protected Attributes inherited from clang::tooling::OptionalRefactoringOption< T >
Optional< T > | Value

## Detailed Description

### template<typename T, typename = typename std::enable_if< traits::IsValidOptionType<T>::value>::type>
class clang::tooling::RequiredRefactoringOption< T, typename >

A required refactoring option that stores a value of type `T`.

Definition at line 44 of file RefactoringOptions.h.

## Member Typedef Documentation

## ◆ ValueType

template<typename T , typename = typename std::enable_if< traits::IsValidOptionType<T>::value>::type>

using clang::tooling::RequiredRefactoringOption< T, typename >::ValueType = T

Definition at line 46 of file RefactoringOptions.h.

## Member Function Documentation

## ◆ getValue()

template<typename T , typename = typename std::enable_if< traits::IsValidOptionType<T>::value>::type>

const ValueType& clang::tooling::RequiredRefactoringOption< T, typename >::getValue | ( |  | ) | const
| inline

Definition at line 48 of file RefactoringOptions.h.

## ◆ isRequired()

template<typename T , typename = typename std::enable_if< traits::IsValidOptionType<T>::value>::type>

bool clang::tooling::RequiredRefactoringOption< T, typename >::isRequired | ( |  | ) | const
| inline final override virtual

True when this option must be specified before invoking the refactoring action.

Implements clang::tooling::RefactoringOption.

Definition at line 51 of file RefactoringOptions.h.

The documentation for this class was generated from the following file:

- include/clang/Tooling/Refactoring/RefactoringOptions.h